/*
Melody : Example405A
Plays a melody 
circuit:
 * 8-ohm speaker on digital pin 10
 
 created 21 Jan 2010
 modified 30 Aug 2011
 by Tom Igoe 
 modified 9 July 2014
 by H. Kawakami
This example code is in the public domain.
 http://arduino.cc/en/Tutorial/Tone
*/
#include "pitches.h"
int melody[] = {
  NOTE_G3, NOTE_E3,NOTE_F3, NOTE_G3, NOTE_G3, 
  NOTE_A3, NOTE_C4, NOTE_G3,NOTE_D4, NOTE_C4,
  NOTE_A3,NOTE_G3,0,
  NOTE_A3, NOTE_C4,NOTE_A3, NOTE_G3, NOTE_G3, 
  NOTE_A3, NOTE_D3, NOTE_D3,NOTE_G3, NOTE_E3,
  NOTE_C3,NOTE_D3,0,
  NOTE_C3, NOTE_E3,NOTE_G3, NOTE_G3, NOTE_A3, 
  NOTE_G3, NOTE_A3, NOTE_C4,NOTE_G3, 0,NOTE_G3,
  NOTE_C4, NOTE_E4, NOTE_D4,NOTE_D4, NOTE_C4,0
  };

int noteDurations[] = {
  4,8,8,3,8,8,8,8,8,8,8,8,8,
  4,8,8,3,8,8,8,8,8,8,8,8,8,
  4,4,3,8,8,8,8,8,4,8,8,3,8,4,4,2,4};

void setup() {
    for (int thisNote = 0; thisNote < 43; thisNote++) {
    int noteDuration = 1000/noteDurations[thisNote];
    tone(10, melody[thisNote],noteDuration);
    int pauseBetweenNotes = noteDuration * 1.5;
    delay(pauseBetweenNotes);
    noTone(10);
  }
}

void loop() {
}

