/*
Example 404A
*/

#include "FastLED.h"

const int ledPin=4;
CRGB leds[1];

void setup() {
  delay(2000);
  LEDS.setBrightness(100);
  LEDS.addLeds<WS2811, ledPin, GRB>(leds, 1);
}

void loop() {
  float r, g, b, val;

  for (val=0; val<1024; val++) {
    r = (cos(6.28 / 256 * val) + 1) * 128;
    g = (cos(6.28 / 256 * (val + 85)) + 1) * 128;
    b = (cos(6.28 / 256 * (val - 85)) + 1) * 128;
    fill_solid(&(leds[0]), 1, CRGB(r, g, b));
    LEDS.show();
    delay(100);   
  }
}

